<?php
include("../Librerias/ConfNivel2.inc");
include("../Librerias/Paginado.phtml");
$Nivel=$_Nivel2;
$ObjSesion=new Sesiones();                ///Clase Sesión
$ObjSesion->MVerifica($Nivel);
$Conexion=new DBAccess();
$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);
$Formulario=new Formulario();
FEncabezado($Nivel);

if ($_SESSION["Tipo"]!='A'){
 FAccesoDenegado($Nivel);
 exit();
}
/*Obtenemos los valores por get*/ 
$tags2 = array_keys($_GET); // obtiene los nombres de las variables
$valores2 = array_values($_GET);// obtiene los valores de las variables
$i=0;
foreach ($_GET as $valores){
 ${$tags2[$i]}=$valores;
 //echo '$'.$tags2[$i].' = $_POST["'.$tags2[$i].'"];<br>'; 
 $i++;	
}/*-----------------------------*/ 

/***VARIABLES POR POST ***/
if ($_POST){
$tags2 = array_keys($_POST); // obtiene los nombres de las variables
$valores2 = array_values($_POST);// obtiene los valores de las variables
$i=0;
foreach ($_POST as $valores){
 ${$tags2[$i]}=$valores;
 //echo '$'.$tags2[$i].' = $_POST["'.$tags2[$i].'"];<br>'; 
 $i++;	
}
}
?>
<br>
<div align="center">
<? 
$FechaActual = date("Y-m-d");
echo "<link rel='stylesheet' type='text/css' media='all' href='".$Nivel."Scripts/calendar-blue.css' title='win2k-1' />";
echo "<script type='text/javascript' src='".$Nivel."Scripts/calendar.js'></script>";
echo "<script type='text/javascript' src='".$Nivel."Scripts/calendar-es.js'></script>";
echo "<script type='text/javascript' src='".$Nivel."Scripts/funcionescalendario.js'></script>";
echo "<script language='javascript'>var actual='$FechaActual';</script>";

FTitulo("USUARIOS","Center");
FSubtitulo("Consulta Bitacora de Usuarios","Center");
$IdUsuario = $_POST["IdUsuario"];
?>
</div>
<br>

<form action="FilltrosBitacoraUsuarios.php" name="Formulario" method="post">
<table width="89%" border="0" align="center">
<? //if ($IdUsuario){ ?>
 <tr>
  <td align="right"><strong>Usuario: </strong></td>
  <td>
  <?     	       
  
     
   $Consulta="SELECT * from usuarios  WHERE IdSistema = ".$_IdSistema." order by Nombre";
   $Formulario->MSelectTabla("IdUser",$Consulta,"Nombre","IdUsuario",$Conexion->Link,$IdUsuer,"",50,"?","1");
  ?>
  </td>
 </tr>
<? //} ?>
  <tr>
  <td align="right"><strong>Descripción: </strong></td>
  <td><? $Formulario->MInputTexto("Descripcion","",10,150,4,"","2"); ?></td>
  </tr>
  <tr> 
   <td align="right"><strong>Fecha: </strong></td>
   <td>
    <? 
     $FechaC=date("Y-m-d");
     $Formulario->MInputTexto("Fecha","",12,12,3,'readonly id="FechaAdq"',"2"); 
    ?>
    <A HREF="javascript:calendario('FechaAdq', 'y-mm-dd')">[elegir]</A></div>
   </td>
  </tr>
  <input type="hidden" name="IUsuarioId" value="<? echo $UsuarioId; ?>">
  <tr>
   <td>&nbsp;</td>
   <td><? $Formulario->MBotonScript("Buscar","","RealizaConsulta()","4"); ?></td>
  </tr>
 </table>
</form>
<script language="javascript">
function Envia(){
 Formulario.submit();
}

function RealizaConsulta(){
 Formulario.action="BitacoraUsuarios.php";
 Formulario.submit();
}

</script>